Please QA-upload python-gnome, and GNOME 1 stuff

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Please QA-upload python-gnome, and GNOME 1 stuff

Nathanael Nerode-4
I'm not up to doing this myself at the moment, but it should be done.
So could someone on debian-gtk-gnome or debian-qa do this?

python-gnome should be QA uploaded to stop generating the
python-gnome-1.2 package.  This package is no longer used by anything
in unstable.  And, python-gnome-1.2 is the last package depending
on libcapplet1 (after gtkhtml is removed, which I've already
requested).  So once this is done, the entire libcapplet package can
be removed from unstable (bug already filed).

FYI, I've filed a bug requesting that the maintainer of libgtk-perl
stop producing the libgtkhtml-perl package.  I have also filed
removal requests for gtkhtml and gal0.x, both of which are now only
used by libgtkhtml-perl.


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Please QA-upload python-gnome, and GNOME 1 stuff

Steve Langasek
On Thu, Sep 14, 2006 at 01:55:59PM -0400, Nathanael Nerode wrote:
> I'm not up to doing this myself at the moment, but it should be done.
> So could someone on debian-gtk-gnome or debian-qa do this?

> python-gnome should be QA uploaded to stop generating the
> python-gnome-1.2 package.  This package is no longer used by anything
> in unstable.

It is still used by gnome-tasksel in testing, and the new version of
gnome-tasksel is RC-buggy in unstable.  I'll take care of this if and when
the GNOME2 gnome-tasksel makes it into testing.

> And, python-gnome-1.2 is the last package depending
> on libcapplet1 (after gtkhtml is removed, which I've already
> requested).  So once this is done, the entire libcapplet package can
> be removed from unstable (bug already filed).

libgtk-perl also has a build-dep on libcapplet1-dev which would need to be
dropped.

> FYI, I've filed a bug requesting that the maintainer of libgtk-perl
> stop producing the libgtkhtml-perl package.  I have also filed
> removal requests for gtkhtml and gal0.x, both of which are now only
> used by libgtkhtml-perl.

That seems to be premature until the maintainer of libgtk-perl has consented
to drop the package.

--
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
[hidden email]                                   http://www.debian.org/


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Please QA-upload python-gnome, and GNOME 1 stuff

Gustavo Franco-2
Steve Langasek wrote:

> On Thu, Sep 14, 2006 at 01:55:59PM -0400, Nathanael Nerode wrote:
>> I'm not up to doing this myself at the moment, but it should be done.
>> So could someone on debian-gtk-gnome or debian-qa do this?
>
>> python-gnome should be QA uploaded to stop generating the
>> python-gnome-1.2 package.  This package is no longer used by anything
>> in unstable.
>
> It is still used by gnome-tasksel in testing, and the new version of
> gnome-tasksel is RC-buggy in unstable.  I'll take care of this if and when
> the GNOME2 gnome-tasksel makes it into testing.

I think i need to fill an RC bug against gnome-tasksel in testing and
ask for its removal then. It's not working there. My last upload to sid
just lacks the task list view, the one in testing is really broken actually.

> (...)

regards,
-- stratus


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Please QA-upload python-gnome, and GNOME 1 stuff

Steve Langasek
On Fri, Sep 15, 2006 at 10:33:24AM -0300, Gustavo Franco wrote:
> Steve Langasek wrote:
> > On Thu, Sep 14, 2006 at 01:55:59PM -0400, Nathanael Nerode wrote:
> >> I'm not up to doing this myself at the moment, but it should be done.
> >> So could someone on debian-gtk-gnome or debian-qa do this?

> >> python-gnome should be QA uploaded to stop generating the
> >> python-gnome-1.2 package.  This package is no longer used by anything
> >> in unstable.

> > It is still used by gnome-tasksel in testing, and the new version of
> > gnome-tasksel is RC-buggy in unstable.  I'll take care of this if and when
> > the GNOME2 gnome-tasksel makes it into testing.

> I think i need to fill an RC bug against gnome-tasksel in testing and
> ask for its removal then. It's not working there. My last upload to sid
> just lacks the task list view, the one in testing is really broken actually.

Oh, if this is the case, then I'll just go ahead with removing that version
of gnome-tasksel from testing on your say-so and upload the python-gnome
build that I have ready here.

No need for a separate bug, since the RC bug in unstable is enough to keep
the package from getting back into testing until it's ready.

Cheers,
--
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
[hidden email]                                   http://www.debian.org/


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Please QA-upload python-gnome, and GNOME 1 stuff

Gustavo Franco-2
On 9/15/06, Steve Langasek <[hidden email]> wrote:

> On Fri, Sep 15, 2006 at 10:33:24AM -0300, Gustavo Franco wrote:
> > Steve Langasek wrote:
> > > On Thu, Sep 14, 2006 at 01:55:59PM -0400, Nathanael Nerode wrote:
> > >> I'm not up to doing this myself at the moment, but it should be done.
> > >> So could someone on debian-gtk-gnome or debian-qa do this?
>
> > >> python-gnome should be QA uploaded to stop generating the
> > >> python-gnome-1.2 package.  This package is no longer used by anything
> > >> in unstable.
>
> > > It is still used by gnome-tasksel in testing, and the new version of
> > > gnome-tasksel is RC-buggy in unstable.  I'll take care of this if and when
> > > the GNOME2 gnome-tasksel makes it into testing.
>
> > I think i need to fill an RC bug against gnome-tasksel in testing and
> > ask for its removal then. It's not working there. My last upload to sid
> > just lacks the task list view, the one in testing is really broken actually.
>
> Oh, if this is the case, then I'll just go ahead with removing that version
> of gnome-tasksel from testing on your say-so and upload the python-gnome
> build that I have ready here.

Please do.

> No need for a separate bug, since the RC bug in unstable is enough to keep
> the package from getting back into testing until it's ready.

Thanks. :-)

regards,
-- stratus


--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]